Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 880975 - dev-libs/pkcs11-helper-1.29.0 - pkcs11h-openssl.c: error: incompatible function pointer types passing
Summary: dev-libs/pkcs11-helper-1.29.0 - pkcs11h-openssl.c: error: incompatible functi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-11-11 12:36 UTC by Toralf Förster
Modified: 2022-12-14 13:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.12 KB, text/plain)
2022-11-11 12:36 UTC, Toralf Förster
Details
dev-libs:pkcs11-helper-1.29.0:20221111-122924.log (dev-libs:pkcs11-helper-1.29.0:20221111-122924.log,56.87 KB, text/plain)
2022-11-11 12:36 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,162.18 KB, text/plain)
2022-11-11 12:36 UTC, Toralf Förster
Details
environment (environment,28.48 KB, text/plain)
2022-11-11 12:36 UTC, Toralf Förster
Details
etc.clang.tar.bz2 (etc.clang.tar.bz2,695 bytes, application/x-bzip)
2022-11-11 12:36 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,11.38 KB, application/x-bzip)
2022-11-11 12:36 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,10.73 KB, application/x-bzip)
2022-11-11 12:36 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,22.53 KB, application/x-bzip)
2022-11-11 12:36 UTC, Toralf Förster
Details
var.tmp.clang.tar.bz2 (var.tmp.clang.tar.bz2,2.45 KB, application/x-bzip)
2022-11-11 12:36 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-11-11 12:36:37 UTC
                                                ^
/usr/include/openssl/macros.h:62:52: note: expanded from macro 'OSSL_DEPRECATED'
#     define OSSL_DEPRECATED(since) __attribute__((deprecated))
                                                   ^
pkcs11h-openssl.c:1108:3: error: incompatible function pointer types passing
      'int
      (CRYPTO_EX_DATA *, const CRYPTO_EX_DATA *, void *, int, long, void *)'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j4-20221110-130010

  -------------------------------------------------------------------

CC=clang
CXX=clang++
gcc-config -l:
 [1] x86_64-pc-linux-gnu-12 *
clang/llvm (if any):
clang version 15.0.4
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
Configuration file: /etc/clang/clang.cfg
/usr/lib/llvm/15
15.0.4
Python 3.10.8
Available Ruby profiles:
  [1]   ruby31 *
Available Rust versions:
  [1]   rust-bin-1.65.0 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
*)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
  [2]   openjdk-bin-17 

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):

  HEAD of ::gentoo
commit 6b19e62b44b9b6b8e755a2c20383fdcdc540f66d
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Nov 11 11:46:51 2022 +0000

    2022-11-11 11:46:51 UTC

emerge -qpvO dev-libs/pkcs11-helper
[ebuild  N    ] dev-libs/pkcs11-helper-1.29.0  USE="gnutls -doc -nss"
Comment 1 Toralf Förster gentoo-dev 2022-11-11 12:36:38 UTC
Created attachment 831349 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-11-11 12:36:39 UTC
Created attachment 831351 [details]
dev-libs:pkcs11-helper-1.29.0:20221111-122924.log
Comment 3 Toralf Förster gentoo-dev 2022-11-11 12:36:41 UTC
Created attachment 831353 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2022-11-11 12:36:42 UTC
Created attachment 831355 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2022-11-11 12:36:43 UTC
Created attachment 831357 [details]
etc.clang.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-11-11 12:36:44 UTC
Created attachment 831359 [details]
etc.portage.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-11-11 12:36:45 UTC
Created attachment 831361 [details]
logs.tar.bz2
Comment 8 Toralf Förster gentoo-dev 2022-11-11 12:36:46 UTC
Created attachment 831363 [details]
temp.tar.bz2
Comment 9 Toralf Förster gentoo-dev 2022-11-11 12:36:47 UTC
Created attachment 831365 [details]
var.tmp.clang.tar.bz2
Comment 10 Larry the Git Cow gentoo-dev 2022-11-12 07:21:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e0e5c4d289004fa779c86da9319cf2bb18548b1

commit 1e0e5c4d289004fa779c86da9319cf2bb18548b1
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-11-12 07:08:51 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-11-12 07:21:12 +0000

    dev-libs/pkcs11-helper: backport clang 16 fix
    
    Closes: https://bugs.gentoo.org/880975
    Signed-off-by: Sam James <sam@gentoo.org>

 ...lper-1.29.0-incompatible-func-ptr-clang16.patch | 30 ++++++++++++++++
 .../pkcs11-helper/pkcs11-helper-1.29.0-r1.ebuild   | 42 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)